%define pypi_name zstandard

Name:       python-%{pypi_name}
Version:    0.22.0
Release:    %mkrel 2
Summary:    Zstandard bindings for Python
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/zstandard
Source0:    %{pypi_source}
Patch1:     zstandard-linking.patch

%description
This project provides Python bindings for interfacing with the Zstandard
compression library. A C extension and CFFI interface are provided.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(libzstd) >= 1.5.5
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cffi)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This project provides Python bindings for interfacing with the Zstandard
compression library. A C extension and CFFI interface are provided.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# drop bundled -egg-info
rm -rf src/*.egg-info

%build
%py3_build -- --system-zstd

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitearch}/zstandard
%{python3_sitearch}/zstandard-%{version}-*.egg-info


%changelog
* Mon Apr 01 2024 daviddavid <daviddavid> 0.22.0-2.mga10
+ Revision: 2053702
- rebuild against new zstd 1.5.6

* Wed Dec 27 2023 daviddavid <daviddavid> 0.22.0-1.mga10
+ Revision: 2022036
- new version: 0.22.0
- rebuild for py3.12

* Fri Apr 28 2023 daviddavid <daviddavid> 0.21.0-1.mga9
+ Revision: 1955225
- new version: 0.21.0 (mainly for zstd 1.5.5)

* Fri Apr 28 2023 daviddavid <daviddavid> 0.20.0-2.mga9
+ Revision: 1955216
- rebuild against new zstd 1.5.5

* Tue Feb 21 2023 daviddavid <daviddavid> 0.20.0-1.mga9
+ Revision: 1944506
- new version: 0.20.0 (reflect upgrade of zstd to 1.5.4 mga#31567)

* Fri Feb 17 2023 daviddavid <daviddavid> 0.19.0-2.mga9
+ Revision: 1943787
- rebuild against new zstd 1.5.4 (mga#31567)

* Tue Nov 15 2022 guillomovitch <guillomovitch> 0.19.0-1.mga9
+ Revision: 1907707
- new version 0.19.0

* Wed Jul 06 2022 wally <wally> 0.18.0-1.mga9
+ Revision: 1867883
- new version 0.18.0

* Mon Mar 28 2022 umeabot <umeabot> 0.17.0-2.mga9
+ Revision: 1829632
- Mageia 9 Mass Rebuild

* Wed Mar 02 2022 guillomovitch <guillomovitch> 0.17.0-1.mga9
+ Revision: 1787627
- new version 0.17.0

* Thu Feb 17 2022 tv <tv> 0.16.0-2.mga9
+ Revision: 1778556
- Rebuild for python-3.10

* Sat Oct 30 2021 guillomovitch <guillomovitch> 0.16.0-1.mga9
+ Revision: 1753342
- new version 0.16.0

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.15.2-2.mga9
+ Revision: 1705061
- rebuild for python 3.9

* Thu Mar 04 2021 guillomovitch <guillomovitch> 0.15.2-1.mga9
+ Revision: 1698147
- new version 0.15.2

* Fri Feb 26 2021 guillomovitch <guillomovitch> 0.15.1-1.mga9
+ Revision: 1691824
- new version 0.15.1

* Sun Jun 28 2020 guillomovitch <guillomovitch> 0.14.0-1.mga8
+ Revision: 1600071
- imported package python-zstandard

